%global               debug_package %{nil}
Name:           libappimage
Version:        1.0.4
Release:        8.fc40
Summary:        This library is part of the AppImage project. It implements functionality for dealing with AppImage files. It is written in C++ and is using Boost.
License:        LGPLv3+
URL:            https://github.com/AppImage/libappimage
Source0:        https://github.com/AppImageCommunity/libappimage/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  boost-devel
BuildRequires:  libarchive-devel
BuildRequires:  librsvg2-devel

%description
HEIF is a image format using HEVC image coding for the best compression ratios.
libheif uses libde265 for the actual image decoding and x265 for encoding.
Alternative codecs for, e.g., AVC and JPEG can be provided as plugins.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files to build applications that depend on libappimage e.g. kio-extras with
apple support

%prep
%autosetup -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -fpermissive -Wno-incompatible-pointer-types"
mkdir build
cd build
cmake .. -DBUILD_TESTING:bool=False
sed -i -e 's;/usr/local;/usr;g' cmake_install.cmake
sed -i -e 's;/usr/local;/usr;g' CMakeCache.txt
sed -i -e 's;/usr/local;/usr;g' libappimage.pc
make
sed -i -e 's;{includedir};{includedir}/appimage;g' libappimage.pc

%install
cd build
#make install
%make_install

cp ../LICENSE .
cp ../README.md .
#mkdir -p %{buildroot}%{_datadir}/appimage
%ldconfig_scriptlets

%files
%license LICENSE
%doc README.md
/usr/lib64/libappimage.so*
/usr/lib64/libappimage*.a
/usr/lib64/cmake/libappimage/*.cmake
/usr/lib64/pkgconfig/libappimage.pc

%files devel
/usr/include/appimage/*.h
/usr/include/appimage/core/*.h
/usr/include/appimage/desktop_integration/*.h
/usr/include/appimage/utils/*.h

%changelog
* Mon Nov 28 2022 S. Umar <sait.a.umar@gmail.com> - 1.0.4-5
- Initial rpm

